<?php
/**
 * Plugin Name: woocommerce付费阅读
 * Description: 付费购买某个产品之后可阅读的内容
 * Version: 1.0
 * Author: 创客云
 * Author URI: https://www.22vd.com
 * Text Domain: woocommerce-pay-read
 * License URI: https://www.22vd.com
 */

/**
 * Die if accessed directly
 */
defined( 'ABSPATH' ) or die( 'You can not access this file directly!' );
 function  order_details_in_themepark($order_number){
$order = wc_get_order( $order_number );//使用订单号获取信息
foreach( $order->get_items() as $item_id => $item ) {//开始循环
$product = apply_filters( 'woocommerce_order_item_product', $order->get_product_from_item( $item ), $item );



return $item['product_id'];
}
	
}
function wc_pay_read_themepark($product_id){

if (is_user_logged_in()) {
global $woocommerce;
	
	$status_done=array(  'wc-shipped' => '已经发货','wc-completed' => '已完成' );	
	
$customer_orders = get_posts( apply_filters( 'woocommerce_my_account_my_orders_query', array(
 'numberposts' => -1,
    'meta_key' => '_customer_user',
    'meta_value' => get_current_user_id(),
    'post_type' => wc_get_order_types('view-orders'),
'post_status' => array_keys( $status_done),
'posts_per_page' => 10000000,//每页显示10个
) ) );
	
	
foreach ( $customer_orders as $customer_order ){
$order      = wc_get_order( $customer_order );
$item_count = $order->get_item_count();
if( $order->get_status()=="completed"){//过滤未完成的订单
//此处输出订单的内容

	
if($product_id==order_details_in_themepark($order->get_order_number())){
	
	return '可阅读';
	
};	

	
};	
}}	
	

	
	}

function wc_pay_can_read_themepark($atts,$content){
	extract(shortcode_atts(array(
		'id'=>'',
		'tishi' =>'',
		'title' =>'',
	), $atts));
if(wc_pay_read_themepark($id)=='可阅读'){
	
	return '<div class="wc_pay_can_read"><strong>'.$title.'</strong>'.$content.'</div>';
	
}else{
	
	return '<div class="wc_pay_cannot_read">'.$tishi.'</div>';
	
}
	
	
}

add_shortcode("wc_pay_can_read", "wc_pay_can_read_themepark"); 



function wc_pay_can_read_styles_tp(){
	
	echo '<style>.wc_pay_can_read{ width: 94%; padding: 2%; border: dashed 3px #E7E7E7; margin: 10px 0;}
	.wc_pay_can_read strong{ width: 100%; padding: 10px 0; color: #8FAE02;}
	.wc_pay_cannot_read{width: 94%; padding: 2%; border: dashed 3px #F0A97F ; color:#EC5800; font-weight: bold; margin: 10px 0; text-align: center;}
	.wc_pay_cannot_read a{color:#FF0004;}
</style>';
	
}
add_action( 'wp_head', 'wc_pay_can_read_styles_tp');   
include('themepark_box.php');
